<?
require "include/bittorrent.php";
dbconn();
loggedinorreturn();
if (get_user_class() < UC_ADMINISTRATOR)
stderr("Fehler", "Zugriff Verweigert.");
stdhead("Massen Nachricht");
begin_frame ("<font color=red>Privat Nachrichten - Massen System</font>");

if ($_POST['message'] != "")
{
$num=0;
foreach( array_keys($_POST) as $x)
{
if (substr($x,0,3) == "UC_"){
$querystring .= " OR class = ".constant($x);
$classnames .= substr($x,3).", ";
$num++;
}
}

if ($num == $_POST["numclasses"]){
 $res = mysql_query("SELECT id FROM users");
 $msg = $_POST['message']  . "\n\nNOTIZ: Dies ist eine Massen Benachrichtung verschickt an alle Mitglieder";
}else{
 $res = mysql_query("SELECT id FROM users where id = 1".$querystring) or sqlerr(__FILE__, __LINE__);
 $msg = $_POST['message']  . "\n\nNOTIZ: Dies ist eine Massen Benachrichtigung sie wurde Verschickt an folgende Benutzerränge: " . substr($classnames,0,(strlen($classnames)-2));
}

$betreff = $_POST['subject'];

if ($_POST["fromsystem"] == "yes"){ $sender_id="0";}else{$sender_id = $CURUSER["id"];}

while($arr = mysql_fetch_row($res)){
sendPersonalMessage($sender_id, $arr[0], $betreff, $msg, PM_FOLDERID_INBOX, 0);
}

print("<h2 align=center class=tabletitle>Massen Privat Nachricht wurde erfolgreich verschickt.</h2><br>");
}


?>
<form method=post action="masspm.php">
<table align=center class=tabelb width=100% border=1 cellspacing=0 cellpadding=5 class="main" >
<tr><td colspan=2 class="tabletitle"><div align=left><b>PM an Mitglieder Rang (Die du anwählst):</b></div></td></tr>
<tr><td class=tablea colspan=2>
<?
$numclasses=0;
$constants = get_defined_constants ();
foreach( array_keys($constants) as $x)
{
if (substr($x,0,3) == "UC_"){
echo "<input name=\"".$x."\" type=\"checkbox\" value=1 checked>".substr($x,3)."<br>";
$numclasses++;
  }
}
?>
<input type="hidden" name="numclasses" value="<? echo $numclasses; ?>" />
</td></tr>
<tr><td class="tablea">Betreff</td><td><input type=text size=100% maxlength=50 name="subject"></textarea></td></tr>
<tr><td class="tablea">Nachricht</td><td><textarea cols=100% rows=10 name="message"></textarea></td></tr>
<tr><td class="tablea">Als System</td><td><input type="checkbox" name="fromsystem" value="yes" />Den Versender als System angeben statt des Namen</td>
<tr><td class=tabletitle align="center" colspan=2><input type="submit" value="Und ab!" class="btn" /></td></tr>
</table>
</form>

<? stdfoot();
?>